<%@ Page Language="c#" Inherits="Telerik.GridExamplesCSharp.Client.DeclarativeDataBinding.DefaultCS"
    CodeFile="DefaultCS.aspx.cs" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">

    <script type="text/javascript">
        function RadGrid1_DataBound(sender, args) {
            var grid = $find(sender.get_id());
            if (grid._scrolling) {
                window.setTimeout(function() { grid._scrolling._initializeVirtualScrollPaging(true) }, 500);
            }
        }    
    </script>

</head>
<body class="BODY">
    <form runat="server" id="mainForm">        
        <asp:ScriptManager runat="server" ID="ScriptManager1"/>        
        <telerik:RadGrid ID="RadGrid1" AllowSorting="true" AllowPaging="true" AllowFilteringByColumn="true"
            AutoGenerateColumns="false" runat="server" Skin="Vista" Width="800px">
            <MasterTableView>
                <Columns>
                    <telerik:GridBoundColumn DataField="ID" HeaderText="ID" DataType="System.Int32" />
                    <telerik:GridBoundColumn DataField="Name" HeaderText="Name" />
                    <telerik:GridNumericColumn DataField="UnitPrice" HeaderText="Unit price" DataType="System.Decimal" />
                    <telerik:GridBoundColumn DataField="Date" DataFormatString="{0:d}" HeaderText="Date"
                        DataType="System.DateTime" />
                    <telerik:GridCheckBoxColumn DataField="Discontinued" HeaderText="Discontinued" DataType="System.Boolean" />
                </Columns>
            </MasterTableView>
            <PagerStyle AlwaysVisible="true" />
            <ClientSettings>
                <DataBinding Location="~/WebService.asmx"
                    SelectMethod="GetData" SelectCountMethod="GetCount" />
                <Scrolling AllowScroll="true" UseStaticHeaders="true" SaveScrollPosition="true" EnableVirtualScrollPaging="true"/>                
                <ClientEvents OnDataBound="RadGrid1_DataBound"/>
            </ClientSettings>
        </telerik:RadGrid>
    </form>
</body>
</html>
